import ToolBar from "./components/HighLight/ToolBar/index.vue";
import setSelectRange from "./components/HighLight/setSelectRange";
import HighLight from "./components/HighLight/Note/index.vue";
import globalStore from "./store/global";

const components = [HighLight, ToolBar];

// 这一步判断window.Vue是否存在，因为直接引用vue.min.js， 它会把Vue绑到Window上，我们直接引用打包好的js才能正常跑起来。
if (typeof window !== "undefined" && window.Vue) {
  window.Vue.component("highLight", components);
}

const install = function (Vue, opts = {}) {
  if (!opts.store) {
    console.log("Please provide a store!");
  }

  components.map((component) => {
    Vue.component(component.name, component);
  });
  Vue.prototype.$setSelectRange = setSelectRange;
  // 动态注册store
  opts.store.registerModule("global", globalStore);
};

if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}

export default {
  install,
  HighLight,
  ToolBar,
};
